<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('penilai', function (Blueprint $table) {
            $table->id();
            $table->string('type')->nullable();
            $table->json('lpj')->nullable();
            $table->json('resume')->nullable();
            $table->json('memo')->nullable();
            $table->string('kertas_kerja')->nullable();
            $table->unsignedBigInteger('dokument_id')->nullable();
            $table->unsignedBigInteger('permohonan_id')->nullable();
            $table->unsignedBigInteger('inspeksi_id')->nullable();
            $table->timestamps();
            $table->timestamp('authorized_at')->nullable();
            $table->char('authorized_status', 1)->nullable();
            $table->softDeletes();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
            $table->unsignedBigInteger('authorized_by')->nullable();
            $table->foreign('dokument_id')->references('id')->on('dokumen_jaminan')->onDelete('set null');
            $table->foreign('permohonan_id')->references('id')->on('permohonan')->onDelete('set null');
            $table->foreign('inspeksi_id')->references('id')->on('inspeksi')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('penilai');
    }
};
